--Massive thanks to AuthenticZ for help with this!
--Adds new Zones to the world    OnNewGame
local function OnGameStart()
	if getPlayer():getModData().a == nil then	
		getWorld():registerZone("InsurgentAirdropMilitaryBase", "ZombiesType", 5593, 12458, 0, 18, 41)
		getWorld():registerZone("InsurgentAirdropMilitaryBase2", "ZombiesType", 5583, 12634, 0, 18, 42)		
		getWorld():registerZone("InsurgentPerimeter", "ZombiesType", 12514, 4339, 0, 41, 14)
		getWorld():registerZone("InsurgentAirdropMall", "ZombiesType", 13770, 5817, 0, 45, 19)		
		getWorld():registerZone("InsurgentAirdropValley", "ZombiesType", 13741, 6695, 0, 45, 22)
		getWorld():registerZone("InsurgentWestpoint", "ZombiesType", 11274, 6625, 0, 37, 22)		
		getWorld():registerZone("InsurgentPrison", "ZombiesType", 7643, 11938, 0, 25, 39)			
	end
end



Events.OnGameStart.Add(OnGameStart)